<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__app__setting__text__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_app_setting_text_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__app__setting__text__t_1aa00ea302cbd793a16d28a0d7086d8826" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_app_setting_text_t::attr_id</definition>
        <argsstring />
        <name>attr_id</name>
        <briefdescription>
<para>Attribute id. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1033" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1033" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__app__setting__text__t_1aba39ca82c17e508a3fef991d5ffd7323" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avrc_app_setting_text_t::charset_id</definition>
        <argsstring />
        <name>charset_id</name>
        <briefdescription>
<para>Character set id. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1034" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1034" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__app__setting__text__t_1a07f340ac80b280d150a96f52958c979c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_app_setting_text_t::str_len</definition>
        <argsstring />
        <name>str_len</name>
        <briefdescription>
<para>Attribute string length. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1035" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1035" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__app__setting__text__t_1a510dcfa3fa58b172f636a5efb58ed588" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_avrc_app_setting_text_t::p_str</definition>
        <argsstring />
        <name>p_str</name>
        <briefdescription>
<para>Attribute string content. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1036" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1036" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AVRCP Application settings field. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1037" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1031" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1032" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__app__setting__text__t_1aa00ea302cbd793a16d28a0d7086d8826" virt="non-virtual"><scope>wiced_bt_avrc_app_setting_text_t</scope><name>attr_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__app__setting__text__t_1aba39ca82c17e508a3fef991d5ffd7323" virt="non-virtual"><scope>wiced_bt_avrc_app_setting_text_t</scope><name>charset_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__app__setting__text__t_1a510dcfa3fa58b172f636a5efb58ed588" virt="non-virtual"><scope>wiced_bt_avrc_app_setting_text_t</scope><name>p_str</name></member>
      <member prot="public" refid="structwiced__bt__avrc__app__setting__text__t_1a07f340ac80b280d150a96f52958c979c" virt="non-virtual"><scope>wiced_bt_avrc_app_setting_text_t</scope><name>str_len</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>